You are here:
Ask a question:
Reply
Rank 1: Guest
charlesohudson
Posts: 3
Registered: ‎17-02-2012

Just bought Samsung Galaxy S, can't update from v. 2.2.1

I’m having some problems with my Samsung Galaxy S bought 2 weeks ago- the camera does not work in certain apps such as google goggles and skype which is bad because I bought the phone to use those apps. I took the phone into the shop where I bought it and they said all I needed to do was update to android 2.3 (currently it is using android 2.2.1) which would also fix some other bugs. However I tried updating from the phone and also using Samsung’s ‘Kies’ software and both say there is no update available.

 

I spoke to Vodafone this week and they told me to ring Samsung- they said that the 2.3 software has been cleared for the galaxy S and that it is up to network providers (VODAFONE) to get this to customers’ phones. Why can't I get this update.  I am already irritated as the phone was advertised as being compatible with 2.3. If this is not possible, they have essentially missold me the contract which is an incredibly serious situation.

 

I have already had to take one SGS back but the new one has exactly the same issue- and it won't update! How can I get updated?

Message 1 of 8 (4,248 Views)
Rank 34: Scholar III
Northern-dj
Posts: 7,076
Registered: ‎23-10-2008

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

Right which is the shop your getting these phones from ?

If this is a Vodafone shop tell them you want a Up todate phone

But acording the the Manager of mine his that he has are all on 2.3.3

 

Also When you plug your phone in to kies click your phone on the left and it should open a screen up

with four tabs and it should tell you what firmware is on there

we no its 2.2.1

But there are a phew things that can stop kies

is the firmware does not match the sales code

don't panic we can fix this ??

How tec minded are you with PC's as well

I am going to ask a frend to help on here as well as two heads are better then one

Another thing as well is

Press manu

and about phone can you put other then your phone number every thing that is on there


Message 2 of 8 (4,211 Views)
Rank 41: Professor V
thesoupdragon
Posts: 5,926
Registered: ‎09-10-2010

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

First of all we need to know which exact Firmware you have on the Phone.

 

In the Dialer type *#1234#

PDA     = ?

Phone = ?

CSC    = ?

 

Also connect the phone to Kies and tell us what Firmware is shown.

 

see example below:

 

Ashampoo_Snap_2012.02.17_16h06m17s_001_.png

(I have a custom Firmware thats why it can't be upgraded... lol)

 

With this information we will be able to help you out!

Wink.gif

Banner.png

Message 3 of 8 (4,207 Views)
Rank 1: Guest
charlesohudson
Posts: 3
Registered: ‎17-02-2012

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

Thanks for the replies guys. Much more efficient than vodafone customer 'service'.

 

I bought the phone from the carphone warehouse in their January sale. Rubbish shop I know, but it was a crackin' deal.

 

In Kies, on the left tab it says:

 

Device name: GT-I9003

 

Then a bar showing how much of the memory is used

 

Then it says in big orange letters 'This is the latest firmware.'

 

underneath it says:

current firmware version: PDA:KB4 / PHONE:KB1 / CSC:KB2 (XEU)

latest firmware version: PDA:KB4 / PHONE:KB1 / CSC:KB2 (XEU)

 

When I enter those numbers in the dialer, it gives me this information:

 

PDA: I9003XWKB4

PHONE: I9003XXKB1

CSC: I9003OXXKB2

 

I know that you can update manually but I thought this wasn't possible on network locked machines (which I assume mine is)

 

Any ideas on how to update would be much appreciated

 

 

Message 4 of 8 (4,204 Views)
Rank 41: Professor V
thesoupdragon
Posts: 5,926
Registered: ‎09-10-2010

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

[ Edited ]

Ahhh! You have the Galaxy SL GT-I9003.

 

Your phone is Unbranded (XEU) firmware, so does not have a Vodafone maintained firmware.

 

That is the latest firmware for the SGS -L. in the UK.

 

Wink.gif

 

Banner.png

Message 5 of 8 (4,195 Views)
Rank 1: Guest
charlesohudson
Posts: 3
Registered: ‎17-02-2012

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

Ah didn't realise that. Any idea when the update will be released? I'm going to take the phone back to the shop as they said it would work with 2.3 and therefore lied about it.

Message 6 of 8 (4,187 Views)
Rank 34: Scholar III
Northern-dj
Posts: 7,076
Registered: ‎23-10-2008

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

Sounds like CPW have used there sales pitch on ya

All you need to say is you have been on  the phone to Samsung and there not doing any further updates for that phone, and the sales have well BS ed you Get them to swop for a S2 if you can blag it. make sure its the manager tho not a underling  


Message 7 of 8 (4,178 Views)
Rank 41: Professor V
thesoupdragon
Posts: 5,926
Registered: ‎09-10-2010

Re: Just bought Samsung Galaxy S, can't update from v. 2.2.1

I agree with N-dj.

 

It certainly sounds like the Sales Person didn't know what phone they were selling you!

 

If you can, blag a SGS2 GT-I9100 or at least a SGS GT-I9000

Also the Galaxy Ace - S5830 is a cheaper version of the SGS GT-I9000 with good spec and comes with Gingerbread 2.3

 

It pays to use the model number when talking to them, as it infers you have some knowledge...!

 

Good luck, and come back to let us know how you got on?

Wink.gif

Banner.png

Message 8 of 8 (4,168 Views)